theme-flash-sales-countdown {
  display: block;
  overflow: hidden;
  border-radius: 8px;
  margin-bottom: 15px;
}

.flash-sales-countdown {
  position: relative;
  display: flex;
  align-items: center;
  overflow: hidden;
  box-sizing: border-box;
  min-height: 48px;
  padding: 8px 20px;
  font-family: Arial, sans-serif;
  color: #fff;
  background-image: linear-gradient(270deg, #ff2948 0%, #ff7900 100%);
}

.flash-sales-countdown::before {
  position: absolute;
  inset: 0;
  display: block;
  background-image: url("https://front.myshopline.com/cdn/v1/plugin/app-code-block/sale/sales-promotion-plugin/2026061009204545/assets/texture.f84ec3ad.svg");
  background-position: center;
  background-repeat: no-repeat;
  pointer-events: none;
  content: "";
}

.flash-sales-countdown__title {
  position: relative;
  z-index: 1;
  display: -webkit-box;
  flex: 1;
  overflow: hidden;
  min-width: 0;
  margin-right: 8px;
  font-size: 14px;
  font-weight: 700;
  line-height: 20px;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 2;
}

.flash-sales-countdown__timer {
  position: relative;
  z-index: 1;
  flex-shrink: 0;
  padding: 0 2px;
  border-radius: 4px;
  font-size: 0;
  font-weight: 700;
  line-height: 0;
  text-align: right;
  color: #ff4139;
  background: #fff;
  direction: ltr;
  unicode-bidi: isolate;
}

.flash-sales-countdown__time {
  display: inline-block;
  box-sizing: border-box;
  height: 24px;
  padding: 0 4px;
  border-radius: 4px;
  font-size: 16px;
  line-height: 24px;
}

.flash-sales-countdown__separator {
  display: inline-block;
  margin: 0 4px;
  font-size: 16px;
  line-height: 22.8571px;
}

@media screen and (max-width: 749.98px) {
  theme-flash-sales-countdown {
    /* width: 100vw; */
    border-radius: 0;
  }

  .flash-sales-countdown {
    padding: 8px var(--page-padding, 12px);
  }
}
